
QGIS Application - Bug report #11546

QGIS crash/close unexpectedly after some actions

2014-11-04 04:31 AM - Miguel Sevilla-Callejo

Status: Closed

Priority: Severe/Regression

Assignee:

Category:

Affected QGIS version:2.6.0 Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 19816

Description

New released QGIS 2.6.0 crashed/close unexpectedly after some actions like save the project or change from Layers to Browser toolbar

tabs but not always.

When it crash saving a project it removes old file and create and empty one (0 Kbs)!!

Here the messages I get when I launch QGIS from CLI and crash (simply changing from Layers to Browser toolbar tabs):

user@computer ~ $ qgis

Warning: loading of qgis translation failed [/usr/share/qgis/i18n//qgis_en_US]

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]

Warning: QGraphicsScene::addItem: item has already been added to this scene

QGIS died on signal 11Could not attach to process.  If your uid matches the uid of the target

process, check the setting of /proc/sys/kernel/yama/ptrace_scope, or try

again as the root user.  For more details, see /etc/sysctl.d/10-ptrace.conf

ptrace: Operation not permitted.

No thread selected

No stack.

gdb returned 0

Aborted

user@computer ~ $

I'm trying to produce a proper backtrace file, meanwhile any help is welcome.

Related issues:

Related to QGIS Application - Bug report # 11593: QGIS crash when working ove... Closed 2014-11-07

Related to QGIS Application - Bug report # 11592: Failure to write the projec... Closed 2014-11-07

Associated revisions

Revision e49adad1 - 2015-01-21 05:56 PM - Matthias Kuhn

Use cached feature for context menu feature action on attribute dialog

Dirty hack to * fix #11744 * fix #11546

History

#1 - 2014-11-04 04:42 AM - Jürgen Fischer
There's a backup copy with ~ appended.

#2 - 2014-11-04 05:03 AM - Gerhard Spieles

Same in windows

#3 - 2014-11-04 05:27 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Target version changed from Version 2.6 to Version 2.8

duplicate of #11537 ?

#4 - 2014-11-04 06:51 AM - Miguel Sevilla-Callejo

Apparently no problems at home with Ubuntu LTS 12.04 (Linux kernel 3.13.0-39) and same QGIS version (2.6.0)

#5 - 2014-11-04 06:56 AM - Giovanni Manghi

Miguel Sevilla-Callejo wrote:

Apparently no problems at home with Ubuntu LTS 12.04 (Linux kernel 3.13.0-39) and same QGIS version (2.6.0)

different plugins installed?

please try remove/disable all the 3rd party plugins, restart qgis and try see if the crash happens again.

#6 - 2014-11-05 01:11 AM - Giovanni Manghi

FYI in case of #11537 it seems that the cause was really a 3rd party plugin, please try disable/remove yours and see if still crashes.

#7 - 2014-11-05 01:19 AM - Giovanni Manghi

Giovanni Manghi wrote:

FYI in case of #11537 it seems that the cause was really a 3rd party plugin, please try disable/remove yours and see if still crashes.

#11537 was closed as the probable cause was a faulty 3rd party plugin, please diable/remove them, restart qgis and give it a try again. Thanks!

#8 - 2014-11-05 02:10 AM - Miguel Sevilla-Callejo

- % Done changed from 0 to 100

- Status changed from Feedback to Closed

- Target version changed from Version 2.8 to Version 2.6
Yes, It must be any plugin I installed.

I'm running "qgis --noplugins" and it seems it works fine for the moment.

I'll check one by one 3rd party plug ins to find what is crashing QGIS and I'll report it.

Cheers

#9 - 2014-11-05 02:17 AM - Miguel Sevilla-Callejo

- Status changed from Closed to Reopened

NOOO! It crashed again! even with plug-ins disabled... and I lose the project!! When saved it it closed and remove file info (0 bytes!! again).

I paste here again the console message:

user@computer ~ $ qgis --noplugins

Warning: loading of qgis translation failed [/usr/share/qgis/i18n//qgis_en_US]

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]

Warning: QGraphicsScene::addItem: item has already been added to this scene

(qgis.bin:12686): Gtk-CRITICAL **: IA__gtk_widget_get_direction: assertion 'GTK_IS_WIDGET (widget)' failed

(qgis.bin:12686): Gtk-CRITICAL **: IA__gtk_widget_get_direction: assertion 'GTK_IS_WIDGET (widget)' failed

^[[1;3AQGIS died on signal 11Could not attach to process.  If your uid matches the uid of the target

process, check the setting of /proc/sys/kernel/yama/ptrace_scope, or try

again as the root user.  For more details, see /etc/sysctl.d/10-ptrace.conf

ptrace: Operation not permitted.

No thread selected

No stack.

gdb returned 0

Aborted

user@computer ~ $ 

O_o

#10 - 2014-11-05 02:22 AM - Miguel Sevilla-Callejo

- % Done changed from 100 to 0

Jürgen Fischer wrote:

There's a backup copy with ~ appended.

Thanks a lot I forgot it! Ctrl+H & there it was... mydearprojectfilename.qgs~ :-P

#11 - 2014-11-05 02:24 AM - Giovanni Manghi

- Target version changed from Version 2.6 to Version 2.8
Miguel Sevilla-Callejo wrote:

NOOO! It crashed again! even with plug-ins disabled... and I lose the project!! When saved it it closed and remove file info (0 bytes!! again).

it is just random or it can be linked to a specific operation/data?

#12 - 2014-11-05 03:14 AM - Miguel Sevilla-Callejo

- Target version changed from Version 2.8 to Version 2.6

Here you have backtrace messages running "qgis" (with plug-ins):

http://pastebin.com/F1uTXYBS

Here the console messages:

$ qgis

Warning: loading of qgis translation failed [/usr/share/qgis/i18n//qgis_en_US]

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]

Warning: QGraphicsScene::addItem: item has already been added to this scene

QGIS died on signal 11Could not attach to process.  If your uid matches the uid of the target

process, check the setting of /proc/sys/kernel/yama/ptrace_scope, or try

again as the root user.  For more details, see /etc/sysctl.d/10-ptrace.conf

ptrace: Operation not permitted.

No thread selected

No stack.

gdb returned 0

Aborted (core dumped)

$ 

#13 - 2014-11-05 03:22 AM - Miguel Sevilla-Callejo

Here the backtrace messages after running "qgis --noplugins" and crashing when saving the project:

http://pastebin.com/7mV1cA6s

And the console messages again:

$ qgis --noplugins

Warning: loading of qgis translation failed [/usr/share/qgis/i18n//qgis_en_US]

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]

Warning: QGraphicsScene::addItem: item has already been added to this scene

QGIS died on signal 11Could not attach to process.  If your uid matches the uid of the target

process, check the setting of /proc/sys/kernel/yama/ptrace_scope, or try

again as the root user.  For more details, see /etc/sysctl.d/10-ptrace.conf

ptrace: Operation not permitted.

No thread selected

No stack.

gdb returned 0

Aborted (core dumped)
$ 

#14 - 2014-11-07 02:43 AM - Miguel Sevilla-Callejo

- % Done changed from 0 to 100

- Status changed from Reopened to Closed

Something should change in my system and I do not have any crashes at all since yesterday. May be it's something related with the last update of the

system or because I started to make new projects (not reopened some were done with the older version of QGIS)... NO IDEA.   I hope all is solve :-/ 

Thanks to all for the help and the support.

#15 - 2014-11-07 03:51 AM - Miguel Sevilla-Callejo

- Assignee set to Giovanni Manghi

- Target version changed from Version 2.6 to Version 2.8

Yes, it must be something with the transition from old version projects (2.4.0) to the new one (2.6.0).

Do I open and other issue saying this?

Sometimes when I open an 2.4 project with 2.6 version and try to change and save QGIS crash.

:-/

#16 - 2014-11-07 03:57 AM - Giovanni Manghi

Miguel Sevilla-Callejo wrote:

Yes, it must be something with the transition from old version projects (2.4.0) to the new one (2.6.0).

Do I open and other issue saying this?

Sometimes when I open an 2.4 project with 2.6 version and try to change and save QGIS crash.

:-/

yes please, file another ticket and raise the problem in the developers mailing list.

#17 - 2014-11-23 08:35 AM - Jorge Rocha

- Target version changed from Version 2.8 to Version 2.6

- Status changed from Closed to Reopened

- Assignee deleted (Giovanni Manghi)

My QGIS is not starting anymore with this same error, either with or without plugins disabled. It crashes immediately at startup, before the main window

shows.

jgr@wuhan:~$ gdb qgis.bin

GNU gdb (Ubuntu 7.7.1-0ubuntu5~14.04.2) 7.7.1

Copyright (C) 2014 Free Software Foundation, Inc.

License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>

This is free software: you are free to change and redistribute it.

There is NO WARRANTY, to the extent permitted by law.  Type "show copying" 
and "show warranty" for details.

This GDB was configured as "x86_64-linux-gnu".

Type "show configuration" for configuration details.

For bug reporting instructions, please see:

<http://www.gnu.org/software/gdb/bugs/>.

Find the GDB manual and other documentation resources online at:

<http://www.gnu.org/software/gdb/documentation/>.

For help, type "help".

Type "apropos word" to search for commands related to "word"...

Reading symbols from qgis.bin...(no debugging symbols found)...done.

(gdb) run

Starting program: /usr/bin/qgis.bin 

[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

[New Thread 0x7fffd6a00700 (LWP 24891)]

[New Thread 0x7fffd61ff700 (LWP 24892)]

Warning: QGraphicsScene::addItem: item has already been added to this scene

[New Thread 0x7fffcd724700 (LWP 24895)]

[New Thread 0x7fff83d39700 (LWP 24896)]

[New Thread 0x7fff8309d700 (LWP 24897)]

Program received signal SIGSEGV, Segmentation fault.

0x00007ffff7de3e0d in check_match (sym=0x7ffff480d3a0) at dl-lookup.c:176

176    dl-lookup.c: No such file or directory.

(gdb) continue

Continuing.

QGIS died on signal 11Could not attach to process.  If your uid matches the uid of the target

process, check the setting of /proc/sys/kernel/yama/ptrace_scope, or try

again as the root user.  For more details, see /etc/sysctl.d/10-ptrace.conf

warning: process 24887 is already traced by process 24884

ptrace: Operjgr@wuhan:~$ gdb qgis.bin

GNU gdb (Ubuntu 7.7.1-0ubuntu5~14.04.2) 7.7.1

Copyright (C) 2014 Free Software Foundation, Inc.

License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>

This is free software: you are free to change and redistribute it.

There is NO WARRANTY, to the extent permitted by law.  Type "show copying" 

and "show warranty" for details.

This GDB was configured as "x86_64-linux-gnu".

Type "show configuration" for configuration details.

For bug reporting instructions, please see:

<http://www.gnu.org/software/gdb/bugs/>.

Find the GDB manual and other documentation resources online at:

<http://www.gnu.org/software/gdb/documentation/>.

For help, type "help".

Type "apropos word" to search for commands related to "word"...

Reading symbols from qgis.bin...(no debugging symbols found)...done.

(gdb) run

Starting program: /usr/bin/qgis.bin 

[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

[New Thread 0x7fffd6a00700 (LWP 24891)]

[New Thread 0x7fffd61ff700 (LWP 24892)]

Warning: QGraphicsScene::addItem: item has already been added to this scene
[New Thread 0x7fffcd724700 (LWP 24895)]

[New Thread 0x7fff83d39700 (LWP 24896)]

[New Thread 0x7fff8309d700 (LWP 24897)]

Program received signal SIGSEGV, Segmentation fault.

0x00007ffff7de3e0d in check_match (sym=0x7ffff480d3a0) at dl-lookup.c:176

176    dl-lookup.c: No such file or directory.

(gdb) continue

Continuing.

QGIS died on signal 11Could not attach to process.  If your uid matches the uid of the target

process, check the setting of /proc/sys/kernel/yama/ptrace_scope, or try

again as the root user.  For more details, see /etc/sysctl.d/10-ptrace.conf

warning: process 24887 is already traced by process 24884

ptrace: Operation not permitted.

No thread selected

No stack.

gdb returned 0

Program received signal SIGABRT, Aborted.

0x00007fffefe4ebb9 in __GI_raise (sig=sig@entry=6)

    at ../nptl/sysdeps/unix/sysv/linux/raise.c:56

56    ../nptl/sysdeps/unix/sysv/linux/raise.c: No such file or directory.

(gdb)ation not permitted.

No thread selected

No stack.

gdb returned 0

Program received signal SIGABRT, Aborted.

0x00007fffefe4ebb9 in __GI_raise (sig=sig@entry=6)

    at ../nptl/sysdeps/unix/sysv/linux/raise.c:56

56    ../nptl/sysdeps/unix/sysv/linux/raise.c: No such file or directory.

(gdb)

My system: Ubuntu 14.04.1 LTS

QGIS:

apt-cache policy qgis

qgis:

  Installed: 2.6.0+trusty1

  Candidate: 2.6.0+trusty1

  Version table:

 *** 2.6.0+trusty1 0

        500 http://qgis.org/debian/ trusty/main amd64 Packages

#18 - 2014-11-23 08:49 AM - Jürgen Fischer

Jorge Rocha wrote:
My QGIS is not starting anymore with this same error, either with or without plugins disabled. It crashes immediately at startup, before the main

window shows.

[...]

Please don't quote all these error message just telling you that a backtrace couldn't be produced.   Follow the hints in it to produce a usable backtrace.  See

also Creating a backtrace

#19 - 2014-11-27 05:26 AM - dr -

Faced with the same issue - QGIS doesn't start (Ubuntu 14.04, QGIS 2.7):

Warning: QGraphicsScene::addItem: item has already been added to this scene

QGIS died on signal 11[New LWP 9384]

[New LWP 9383]

[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

0x00007f43df02b619 in __libc_waitpid (pid=9385, stat_loc=0x7fff712f95bc, options=0) at ../sysdeps/unix/sysv/linux/waitpid.c:40

40    ../sysdeps/unix/sysv/linux/waitpid.c: Нет такого файла или каталога.

[Current thread is 1 (Thread 0x7f43e71d0800 (LWP 9380))]

#0  0x00007f43df02b619 in __libc_waitpid (pid=9385, stat_loc=0x7fff712f95bc, options=0) at ../sysdeps/unix/sysv/linux/waitpid.c:40

        resultvar = 0

        oldtype = 0

#1  0x0000000000501d37 in qgisCrash(int) ()

No symbol table info available.

#2  <signal handler called>

No locals.

#3  0x00000000005931ad in QgsBrowserDockWidget::expandedPathsList(QModelIndex const&) ()

No symbol table info available.

#4  0x0000000000595ff6 in QgsBrowserDockWidget::saveState() ()

No symbol table info available.

#5  0x00000000005960c1 in QgsBrowserDockWidget::hideEvent(QHideEvent*) ()

No symbol table info available.

#6  0x00007f43e152528c in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#7  0x00007f43e18b5dab in QDockWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#8  0x00007f43e14d5e2c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#9  0x00007f43e14dc4a0 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#10 0x00007f43e32cf76b in QgsApplication::notify(QObject*, QEvent*) () from /usr/lib/libqgis_core.so.2.7.0

No symbol table info available.

#11 0x00007f43e213c4dd in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#12 0x00007f43e152162d in QWidgetPrivate::hide_helper() () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#13 0x00007f43e1524898 in QWidget::setVisible(bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#14 0x00000000005492e7 in QgisApp::QgisApp(QSplashScreen*, bool, QWidget*, QFlags<Qt::WindowType>) ()

No symbol table info available.
#15 0x00000000004fbc47 in main ()

No symbol table info available.

gdb returned 0

#20 - 2015-01-21 08:56 AM - Matthias Kuhn

- Status changed from Reopened to Closed

Fixed in changeset commit:"e49adad1dec69f9d1db979c099e1208c70213bee".

#21 - 2015-01-21 09:01 AM - Matthias Kuhn

- Target version changed from Version 2.6 to Version 2.8

- Status changed from Closed to Reopened

Sorry for closing, I confused different issues.

#22 - 2015-02-14 07:54 AM - Jürgen Fischer

- Status changed from Reopened to Feedback

it this still an issue?

#23 - 2015-05-10 01:02 AM - Giovanni Manghi

- Target version changed from Version 2.8 to Version 2.8.2

#24 - 2015-05-10 01:15 AM - Jürgen Fischer

- Target version changed from Version 2.8.2 to Future Release - Lower Priority

#25 - 2015-05-10 01:23 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

closing for the lack of feedback, please reopen if necessary.

#26 - 2015-05-25 04:37 PM - Valerie Anderson

- Status changed from Closed to Reopened

I'm on Debian stretch/sid 61-bit with QGIS 2.8.1 and this started happening to me last week after a routine system update.

qgis --noplugins

Warning: loading of qgis translation failed [/usr/share/qgis/i18n//qgis_en_US]

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]

Warning: QGraphicsScene::addItem: item has already been added to this scene

Segmentation fault@
Installed: 2.8.1+dfsg1-1+b1

  Candidate: 2.8.1+dfsg1-1+b1

  Version table:

    -  2.8.1+dfsg1-1+b1 0

        500 http://ftp.us.debian.org/debian/ sid/main amd64 Packages

        100 /var/lib/dpkg/status@

#27 - 2015-05-26 01:45 AM - Jürgen Fischer

- Status changed from Reopened to Closed

Valerie Anderson wrote:

I'm on Debian stretch/sid 61-bit with QGIS 2.8.1 and this started happening to me last week after a routine system update.

Try 2.8.2 or master from our repositories.
